Bug 187638 - graphics/showimage: update to 1.8.1
Summary: graphics/showimage: update to 1.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-16 18:10 UTC by Max Brazhnikov
Modified: 2014-03-16 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.49 KB, patch)
2014-03-16 18:10 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov freebsd_committer 2014-03-16 18:10:00 UTC
- update to 1.8.1
- modernize Makefile (stage support, USES)
- trim COMMENT
- fix desktop file: only the showimage binary was renamed, the icon retains
  original name

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-03-16 18:10:08 UTC
Maintainer of graphics/showimage,

Please note that PR ports/187638 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187638

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-16 18:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 rnejdl 2014-03-16 19:05:46 UTC
 

On 2014-03-16 18:10, Edwin Groothuis wrote: 

> Maintainer of graphics/showimage,
> 
> Please note that PR ports/187638 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187638 [1]

This patch works as designed and should be committed. 

Thanks!
Rusty Nejdl 
 

Links:
------
[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187638
Comment 4 dfilter service freebsd_committer 2014-03-16 19:25:41 UTC
Author: makc
Date: Sun Mar 16 19:25:36 2014
New Revision: 348425
URL: http://svnweb.freebsd.org/changeset/ports/348425
QAT: https://qat.redports.org/buildarchive/r348425/

Log:
  graphics/showimage:
  - update to 1.8.1
  - modernize Makefile (stage support, USES)
  - trim COMMENT
  - fix desktop file: only the showimage binary was renamed, the icon retains
    original name
  
  PR:		ports/187638
  Approved by:	Rusty Nejdl (maintainer)

Modified:
  head/graphics/showimage/Makefile
  head/graphics/showimage/distinfo
  head/graphics/showimage/files/patch-showimage.desktop
  head/graphics/showimage/pkg-descr

Modified: head/graphics/showimage/Makefile
==============================================================================
--- head/graphics/showimage/Makefile	Sun Mar 16 18:17:13 2014	(r348424)
+++ head/graphics/showimage/Makefile	Sun Mar 16 19:25:36 2014	(r348425)
@@ -2,25 +2,23 @@
 # $FreeBSD$
 
 PORTNAME=	showimage
-PORTVERSION=	1.6.3
-PORTREVISION=	4
+PORTVERSION=	1.8.1
 CATEGORIES=	graphics kde
 MASTER_SITES=	http://www.kde-apps.org/CONTENT/content-files/
 DISTNAME=	143977-${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	rnejdl@ringofsaturn.com
-COMMENT=	ShowImage is a simple KDE based image viewer
+COMMENT=	Simple KDE based image viewer
 
-USE_BZIP2=	yes
-USES=		cmake
+USES=		cmake:outsource tar:bzip2
 USE_KDE4=	automoc4 kdeprefix kdelibs
 USE_QT4=	qmake_build moc_build rcc_build uic_build
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
+# Rename binary to avoid conflict with graphics/sdl_image
 PLIST_FILES=	bin/${PORTNAME}-kde4 \
 		share/applications/kde4/${PORTNAME}.desktop \
 		share/icons/hicolor/32x32/apps/${PORTNAME}.png
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/graphics/showimage/distinfo
==============================================================================
--- head/graphics/showimage/distinfo	Sun Mar 16 18:17:13 2014	(r348424)
+++ head/graphics/showimage/distinfo	Sun Mar 16 19:25:36 2014	(r348425)
@@ -1,2 +1,2 @@
-SHA256 (143977-showimage-1.6.3.tar.bz2) = e8189fa8fda0e6a4654906629793345574025228ac512b7167c6509132087ff9
-SIZE (143977-showimage-1.6.3.tar.bz2) = 22702
+SHA256 (143977-showimage-1.8.1.tar.bz2) = 35b628a7b1b7d7c64d12dc7a11a9f25e2a1e383aec215b2e5d11c1a603eacb95
+SIZE (143977-showimage-1.8.1.tar.bz2) = 24420

Modified: head/graphics/showimage/files/patch-showimage.desktop
==============================================================================
--- head/graphics/showimage/files/patch-showimage.desktop	Sun Mar 16 18:17:13 2014	(r348424)
+++ head/graphics/showimage/files/patch-showimage.desktop	Sun Mar 16 19:25:36 2014	(r348425)
@@ -1,13 +1,11 @@
---- showimage.desktop.orig	2013-02-23 19:29:20.000000000 -0600
-+++ showimage.desktop	2013-02-23 19:29:34.000000000 -0600
-@@ -1,8 +1,8 @@
+--- ./showimage.desktop.orig	2011-09-12 19:22:18.000000000 +0000
++++ ./showimage.desktop	2014-03-16 17:44:11.238771371 +0000
+@@ -1,7 +1,7 @@
  [Desktop Entry]
  Type=Application
  Encoding=UTF-8
 -Exec=showimage %F
--Icon=showimage
 +Exec=showimage-kde4 %F
-+Icon=showimage-kde4
+ Icon=showimage
  Categories=Graphics;RasterGraphics;Viewer;
  Terminal=false
- 

Modified: head/graphics/showimage/pkg-descr
==============================================================================
--- head/graphics/showimage/pkg-descr	Sun Mar 16 18:17:13 2014	(r348424)
+++ head/graphics/showimage/pkg-descr	Sun Mar 16 19:25:36 2014	(r348425)
@@ -2,4 +2,4 @@ ShowImage is a simple KDE based image vi
 inside its window without cluttering the window with menubar, toolbar
 or statusbar.
 
-WWW:	http://kde-apps.org/content/show.php/ShowImage?content=143977
+WWW: http://kde-apps.org/content/show.php/ShowImage?content=143977
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Max Brazhnikov freebsd_committer 2014-03-16 19:27:01 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 6 Max Brazhnikov freebsd_committer 2014-03-16 19:27:20 UTC
State Changed
From-To: open->closed

Committed.